Subject: Re: Linux Routing Performance Update

From: Glen Turner <[email-masked]>
Date: Sat, 29 Jan 2005 00:26:40 +1030

> Finally time for some more testing with a somewhat upgraded equipment.

Thanks very much for the interesting results.

I'm sure other network engineers have experienced software routers where
the pps has dramatically slowed down upon reasonable ACLs and queuing
(Cisco 7500, etc), so some results with netfilter and tc running would
be appreciated, as would tests for any packet re-ordering in output flows.

[ For a reasonable ACL, Team Crymu's list of aggregated Bogon addresses
   is a representative choice.  For a basic QoS, consider three queues:
   control, VoIP, data.  With an approximation to fair queuing + RED on
   the data queue. ]

Best wishes,
Glen